Taiga
API ReferencePatient RefundsV1

List patient refunds

Returns all patient refunds satisfying the search criteria AND whose organization_id matches the current organization_id of the authenticated user.

GET
/api/patient-refunds/v1

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Query Parameters

limit?|

Defaults to 100. The value must be greater than 0 and less than 1000.

patient_external_id?PatientExternalId|null
claim_id?|null
service_line_id?|null
billing_provider_id?|null
unattributed?|

returns payments with unattributed allocations if set to true

invoice_id?|null
sources?array<|null>
sort?|

Defaults to refund_timestamp

sort_direction?|

Sort direction. Defaults to descending order if not provided.

page_token?PageToken|null

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/patient-refunds/v1"
{  "items": [    {      "patient_refund_id": "93d7340a-8f17-4be5-80b0-4bdd0e780a6b",      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",      "source_internal_id": "string",      "refund_source": "MANUAL_ENTRY",      "amount_cents": 0,      "patient_external_id": "string",      "refund_timestamp": "2019-08-24T14:15:22Z",      "refund_note": "string",      "allocations": [        {          "allocation_id": "382c58cf-1df3-4a3e-982d-9827484a770a",          "amount_cents": 0,          "target": {            "type": "service_line",            "service_line_id": "a87d8c62-6b36-44c6-9f01-a675dd3707d1",            "claim_id": "6ed32748-64af-4d95-94ea-a78b6397033c",            "encounter_id": "7a82c561-3d07-4ff8-8b24-4d41b12287d2"          },          "earmark": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "target": {              "type": "date_of_service",              "value": "string"            },            "amount_earmarked_cents": 0,            "created_by_allocation_id": "b4f1e181-a23f-4a6d-8fac-1456d1d8b4b8"          },          "allocated_on": "2019-08-24T14:15:22Z"        }      ],      "invoice": "f5072b7b-65cb-48aa-bf69-c999195da70c",      "refund_reason": "OVERCHARGED"    }  ],  "prev_page_token": "string",  "next_page_token": "string"}